@echo off
if exist cfg\thoop.cfg move cfg\thoop.cfg cfg\thoop.bak
if exist hi\thoop.hi move hi\thoop.hi hi\thoop.bak
if exist nvram\thoop.nv move nvram\thoop.nv nvram\thoop.bak
if exist diff\thoop.dif move diff\thoop.dif diff\thoop.bak

mame thoop -record thoop.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\thoop.bak move cfg\thoop.bak cfg\thoop.cfg
if exist hi\thoop.bak move hi\thoop.bak hi\thoop.hi
if exist nvram\thoop.bak move nvram\thoop.bak nvram\thoop.nv
if exist diff\thoop.bak move diff\thoop.bak diff\thoop.dif
